package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealcategoryWebappListRequest struct {
	// <ext>core:true;format:string</ext> 【集团id】集团id 【作用】 查询该集团的可用印章类型列表 【传参】 1、集团id和法人单位信息均传入时，以集团id为准。 2、均未传入时，取平台方所在集团的可用印章类型。
	OrgId   *int64                 `json:"orgId,omitempty"`
	Company *common.CompanyRequest `json:"company,omitempty"`
	// <ext>core:true</ext> 【印章形式】印章形式 【作用】 查询对应印章形式的可用印章类型 【传参】 1、取值范围：ELECTRONIC（电子印章），PHYSICS（物理印章），UKEY（Ukey印章），MOBILE（移动印章）。 2、未传时，查询该集团的所有可用印章类型。
	BusinessType string `json:"businessType,omitempty"`
	// <ext>core:true</ext> 【印章类型状态】印章类型状态 【作用】 查询指定状态的印章类型 【传参】 1、取值范围：NORMAL（启用），FREEZE（停用）。 2、不传时默认返回所有状态的类型。
	Status string `json:"status,omitempty"`
	// <ext>core:true</ext> 【印章类型名称】印章类型名称 【作用】 模糊匹配包含此名称的所有印章类型
	SealCategoryName string `json:"sealCategoryName,omitempty"`
}

func (obj SealcategoryWebappListRequest) GetUrl() string {
	return "/sealcategory/webapp/list"
}

func (obj SealcategoryWebappListRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
